classification
Title: "sysconfig.py" and "distutils/util.py" redundancy
Type: enhancement Stage: resolved
Components: Distutils Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: eric.araujo, jcea, python-dev, tarek
Priority: normal Keywords: easy

Created on 2012-01-18 03:58 by jcea, last changed 2013-05-06 11:25 by python-dev. This issue is now closed.

Messages (8)
msg151516 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2012-01-18 03:58
During development of patch for issue #13803, I found redundancy between "sysconfig.py" and "distutils/util.py". The functions are the same, and the return values must be the same too. So programmers *MUST* remember to change both sources in sync.

This redundancy must be trimmed.

This is not strictly a bugfix, so could be not adequate for 2.7/3.2, but applying for 3.2 at least would easy future merges.
msg151541 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-01-18 14:57
I am afraid the distutils feature freeze prevents us from doing this, even in 3.3.  Remember that Tarek initially moved sysconfig from distutils to the top level, and the removal was reverted alongside other improvements when there was outcry at the distutils changes and distutils2 was started.  We are aware of the discrepancies between distutils.sysconfig and syconfig; for example, the Mac framework stuff for --user (PEP 371) is different, and the docs for sysconfig misleadingly says that the paths are used by distutils.  These will get fixed when I get a chance.  distutils2/packaging exclusively uses sysconfig, no more duplication.
msg151542 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-01-18 14:58
s/PEP 371/PEP 370/
msg151593 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2012-01-19 00:38
Could you possibly provide some background?. I am afraid I am not familiar with the situation. I want to learn :)
msg151616 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-01-19 13:01
Background on the distutils freeze?  Right now I don’t have the time and I’m going to be offline until the end of the month.  You can look for Tarek Ziadé’s blog posts after PyCon 2010, or wait until I come back and put the links on a wiki page :)
msg153021 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-02-10 04:26
See also #9841.

What situation do you want background on?
msg188503 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-05-06 10:46
New changeset c4f92b597074 by Richard Oudkerk in branch 'default':
Issue #13813: Embed stringification of remote traceback in local
http://hg.python.org/cpython/rev/c4f92b597074
msg188512 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-05-06 11:25
New changeset a2928dd2fde4 by Richard Oudkerk in branch 'default':
Correct issue number for c4f92b597074 in Misc/NEWS from #13813 to #13831
http://hg.python.org/cpython/rev/a2928dd2fde4
History
Date User Action Args
2013-05-06 11:25:57python-devsetmessages: + msg188512
2013-05-06 10:46:50python-devsetnosy: + python-dev
messages: + msg188503
2012-02-10 04:26:42eric.araujosetmessages: + msg153021
2012-01-19 13:01:32eric.araujosetmessages: + msg151616
2012-01-19 00:38:04jceasetmessages: + msg151593
2012-01-18 14:58:38eric.araujosetmessages: + msg151542
2012-01-18 14:57:48eric.araujosetstatus: open -> closed
messages: + msg151541

assignee: tarek -> eric.araujo
resolution: wont fix
stage: resolved
2012-01-18 03:58:37jceacreate